<?php
session_start();

require_once '../../gerador/dompdf/autoload.inc.php';
require_once '../../script_php/RemotoInterno.php';
require_once '../../gerador/SqlServer.php';
require_once '../../script_php/conexaoSQL.php';

$remoto = new RemotoInterno;

$email = $_GET['email'];

//verificar se o pedido veio de um novo pedido ou de um pedido da lista de pedidos

//se veio de um novo pedido 
if(isset($_GET['imprimir'])){

  $loja = $_SESSION['loja'];
  $lojaSoftcom = $_GET['loja'];


  //se veio da lista de pedidos
}else{
  
  $loja = $_SESSION['loja'];
  $lojaSoftcom = $remoto->TransformarLoja($loja);
}



$pedido = $_GET['id'];
$datapedido = $_GET['datapedido'];

use Dompdf\Dompdf;
use Dompdf\Options;

function exportar($loja,$pedido,$emissao,$lojaSoftcom,$remoto,$email){

$total = 0;


$dadosLoja = $remoto->dadosLoja($lojaSoftcom);

$sql = new Sqlserver;
$dados = $sql->produtosPedido($pedido);
$observacao = $sql->observacaoPedidos($pedido);

$options = new Options();
$options->set('defaultFont', 'Arial');

date_default_timezone_set('America/Sao_Paulo');
$dompdf = new Dompdf($options);
$dompdf->setPaper('A4', 'portrait');

$html = "
<!DOCTYPE html>
<html lang='pt-BR'>
<head>
  <meta charset='UTF-8'>
  <title>Tabela de Pedido</title>
  <style>
    body {
      font-family: Arial, sans-serif;
      font-size: 10px;
    }

    table {
      border-collapse: collapse;
      width: 100%;
      margin-top: 20px;
    }

    th, td {
      border: 0.001 solid #000;
      padding: 2px;
      text-align:left;
      
    }

    th {

      background-color:coral;
      color:rgb(3, 3, 3);
    }

    caption {
      
      margin-bottom: 10px;
    }

    .ct {
            text-align:center !important; 
    
    }
    .cab {
    
    font-size: 10px;
    }

    tfoot {
          background-color:coral;
      color:rgb(3, 3, 3);
    }

  </style>
</head>
<body>
<img src='data:image/jpeg;base64,[encoded data, 258848 characters]' width='60 px'/>

<h2>
    <br> <b> PEDIDO Nº: $pedido </h2>
<h3>
    <span class='cab'>  EMISSÃO: " .  date('d/m/Y', strtotime($emissao))  . " <br> </b>
    <span class='cab'> EMPRESA:$dadosLoja[0]  <br>
    <span class='cab'> CNPJ:  $dadosLoja[1] <br>
    <span class='cab'> ENDEREÇO:  $dadosLoja[2] - $dadosLoja[3] - $dadosLoja[6] - $dadosLoja[7]  - 
    <span class='cab'> CEP: $dadosLoja[4] <br>
    <span class='cab'> TELEFONE:  $dadosLoja[5]  </span> <br>
</h3>


  <table>
   
    <thead>
      <tr>
        <th class='ct' width='90px'>BARRAS</th>        
        <th>DESCRIÇÃO</th>
        <th class='ct'>QT</th>  
        <th class='ct'>PREÇO</th>        
        <th class='ct'>SUBTOTAL</th>
      </tr>
    </thead>
    <tbody>

";

$nomeArquivo = $lojaSoftcom . " - " .  $dadosLoja[0] ." - " .  ' PEDIDO - ' . $pedido;

foreach ($dados as $dados){

    $total = $total + $dados[5];

$html .= "<tr>";
$html .= "<td class='ct'>$dados[1]</td>";
$html .= "<td>$dados[2]</td>";
$html .= "<td class='ct'>". ROUND($dados[3]). "</td>";
$html .= "<td class='ct'>" . number_format($dados[4], 2, ',', '.' ) . "</td>";
$html .= "<td class='ct'>" . number_format($dados[5], 2, ',', '.' ) . "</td>";
$html .= "</tr>";
}

$html .= "</tbody>
    <tfoot>
      <tr>
        <td colspan='4' style='text-align:right'><strong>TOTAL:</strong></td>";
     $html .= "<td class='ct'><strong> R$ " . number_format($total, 2, ',', '.' ) . "</strong></td>
      </tr>
    </tfoot>
  </table>

<h3>
  OBSERVAÇÃO: <p>
  $observacao
</h3>




</body>
</html>
";

$dompdf->loadHtml($html);

$dompdf->render();

if($email == 1){




//$cnpjLimpo = preg_replace('/\D/', '', $dadosLoja[0]);
 $cnpjLimpo = preg_replace('/\D/', '', $dadosLoja[0]); 


// Nome do arquivo PDF
$nomeArquivo = "PEDIDO $pedido - $dadosLoja[0].pdf";
 unlink($nomeArquivo);

// Caminho absoluto no Windows
$caminho = __DIR__ . '\\pdfs\\' . "pedido-$pedido.pdf"; // Note as barras invertidas (\\) no Windows

// Cria a pasta se ela não existir
if (!file_exists(dirname($caminho))) {
    mkdir(dirname($caminho), 0777, true);
}

// Salva o PDF
file_put_contents($caminho, $dompdf->output());

 header("Location: ../../emailEnviar.php?idpedido=$pedido");


}else{

  $dompdf->stream("$nomeArquivo", ["Attachment" => false]);
  header('Location: ../pedidos.php');
  
}



}


exportar($loja,$pedido,$datapedido,$lojaSoftcom,$remoto,$email);